# GET /api/v2/org/{orgId}/apps

**List Applications - V2**

## List Applications V2
Lists applications that belong to this organization.

Returns a [**new style** paginated list](https://apidocs.stackhawk.com/docs/pagination-and-sorting) of Applications.

| Parameter | Default | Description |
|:---:|:---:|:---:|
|orgId|""|The org id that these applications belong to.|
|applications|[]|List of applications.|
|totalCount|0|Total number of applications in the results.|
|currentPage|{}|The current page.|
|hasNext|false|Whether or not there is a next page.|
|nextPage|{}||
|nextPageToken|""||
|hasPrev|false|Whether or not there is a previous page.|
|prevPage|{}||
|prevPageToken|""||

### Application

Applications group scan results from HawkScan, and coordinate settings to influence HawkScan behavior. The application may also contain a specific environment name and id.
For more information, see [Applications](https://docs.stackhawk.com/web-app/applications.html).

| Parameter | Default | Description |
|:---:|:---:|:---:|
|applicationId|""|The UUID identifier of this application.|
|name|""|The name of this application.|
|env|""|The name of this environment. Only set when requesting Application Environments.|
|envId|""|The UUID identifier of this environment.|
|applicationStatus|"ACTIVE"|The status of this application. Either ACTIVE or ENV_INCOMPLETE.|
|organizationId|""|The UUID identifier of the organization that owns this application.|
|applicationType|"STANDARD"|The type of this application.|
|cloudScanTarget|{}|Optional Cloud Scan Target configuration.|

The returned list of applications is filtered by the organization id and User's API Token Team membership.

### Filter Query Params

* `query`: A string to filter applications by name.
* `appIds`: A comma-separated list of application uuids to filter by.
* `teamIds`: A comma-separated list of team uuids to filter by.
* `applicationStatus`: A comma-separated list of application statuses to filter by. Possible values are `ACTIVE` and `ENV_INCOMPLETE`.

> Requires `read:application` permission.

## Parameters

- `orgId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk Organization.
- `query` (in: query, string) — A term used to filter results based on matching content in one or more fields.
- `sortField` (in: query, string) — Resource field to sort paginated response by.
- `sortDir` (in: query, string) — Paginated results are sorted 'asc' or 'desc'.
- `page` (in: query, string) — Pagination page key.
- `pageSize` (in: query, integer<int32>) — Pagination response size limit.
- `pageToken` (in: query, integer<int32>) — Pagination request page increment.
- `appIds` (in: query, string[]) — A comma-delimited list of UUID identifiers of StackHawk Applications.
- `teamIds` (in: query, string[]) — A comma-delimited list of UUID identifiers of StackHawk Teams to filter by.
- `applicationStatus` (in: query, string[]) — A comma-separated list of application status filters.
- `applicationTypes` (in: query, string[]) — A comma-separated list of ApplicationType names.

## Responses

### 200 — Paginated response of applications.

#### application/json

- `applications` (application.Application[]) — List of applications.
  - `applicationId` (string) — The UUID identifier of this application.
  - `applicationStatus` (string) — The status of this application. Either ACTIVE or ENV_INCOMPLETE.
  - `applicationType` (string) — The type of this application.
  - `cloudScanTarget` (application.CloudScanTarget)
    - `isDomainVerified` (boolean) — Indicates if the domain is verified or not.
    - `targetURL` (string) — The target URL.
  - `dataType` (string) — The perceived dataType of this application. Currently unused.
  - `env` (string) — The name of this environment. Only set when requesting Application Environments.
  - `envId` (string) — The UUID identifier of this environment.
  - `name` (string) — The name of this application.
  - `organizationId` (string) — The UUID identifier of the organization that owns this application.
  - `riskLevel` (string) — The perceived riskLevel of this application. Currently unused.
- `currentPage` (pagination.Page)
  - `filters` (pagination.Filter[]) — Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)
    - `multi` (pagination.MultiValue)
      - `values` (string[]) — The values of a given filter to filter on.
    - `name` (string) — The name of the filter to apply.
    - `value` (string) — A single value to filter on.
  - `number` (integer<int32>) — The page number to retrieve - 0 based
  - `query` (string) — The query string to filter the results.
  - `size` (integer<int32>) — the page size to retrieve.
  - `sortOptions` (pagination.SortOptions)
    - `direction` (string) — The direction to sort the results.
    - `field` (string) — Generic here, each type should define its own Enums + Converters
- `hasNext` (boolean) — Whether or not there is a next page.
- `hasPrev` (boolean) — Whether or not there is a previous page.
- `nextPage` (pagination.Page)
  - `filters` (pagination.Filter[]) — Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)
    - `multi` (pagination.MultiValue)
      - `values` (string[]) — The values of a given filter to filter on.
    - `name` (string) — The name of the filter to apply.
    - `value` (string) — A single value to filter on.
  - `number` (integer<int32>) — The page number to retrieve - 0 based
  - `query` (string) — The query string to filter the results.
  - `size` (integer<int32>) — the page size to retrieve.
  - `sortOptions` (pagination.SortOptions)
    - `direction` (string) — The direction to sort the results.
    - `field` (string) — Generic here, each type should define its own Enums + Converters
- `nextPageToken` (string)
- `orgId` (string) — The org id that these applications belong to.
- `prevPage` (pagination.Page)
  - `filters` (pagination.Filter[]) — Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)
    - `multi` (pagination.MultiValue)
      - `values` (string[]) — The values of a given filter to filter on.
    - `name` (string) — The name of the filter to apply.
    - `value` (string) — A single value to filter on.
  - `number` (integer<int32>) — The page number to retrieve - 0 based
  - `query` (string) — The query string to filter the results.
  - `size` (integer<int32>) — the page size to retrieve.
  - `sortOptions` (pagination.SortOptions)
    - `direction` (string) — The direction to sort the results.
    - `field` (string) — Generic here, each type should define its own Enums + Converters
- `prevPageToken` (string)
- `totalCount` (integer<int64>) — Total number of applications in the results.

#### application/x-protobuf

- `applications` (application.Application[]) — List of applications.
  - `applicationId` (string) — The UUID identifier of this application.
  - `applicationStatus` (string) — The status of this application. Either ACTIVE or ENV_INCOMPLETE.
  - `applicationType` (string) — The type of this application.
  - `cloudScanTarget` (application.CloudScanTarget)
    - `isDomainVerified` (boolean) — Indicates if the domain is verified or not.
    - `targetURL` (string) — The target URL.
  - `dataType` (string) — The perceived dataType of this application. Currently unused.
  - `env` (string) — The name of this environment. Only set when requesting Application Environments.
  - `envId` (string) — The UUID identifier of this environment.
  - `name` (string) — The name of this application.
  - `organizationId` (string) — The UUID identifier of the organization that owns this application.
  - `riskLevel` (string) — The perceived riskLevel of this application. Currently unused.
- `currentPage` (pagination.Page)
  - `filters` (pagination.Filter[]) — Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)
    - `multi` (pagination.MultiValue)
      - `values` (string[]) — The values of a given filter to filter on.
    - `name` (string) — The name of the filter to apply.
    - `value` (string) — A single value to filter on.
  - `number` (integer<int32>) — The page number to retrieve - 0 based
  - `query` (string) — The query string to filter the results.
  - `size` (integer<int32>) — the page size to retrieve.
  - `sortOptions` (pagination.SortOptions)
    - `direction` (string) — The direction to sort the results.
    - `field` (string) — Generic here, each type should define its own Enums + Converters
- `hasNext` (boolean) — Whether or not there is a next page.
- `hasPrev` (boolean) — Whether or not there is a previous page.
- `nextPage` (pagination.Page)
  - `filters` (pagination.Filter[]) — Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)
    - `multi` (pagination.MultiValue)
      - `values` (string[]) — The values of a given filter to filter on.
    - `name` (string) — The name of the filter to apply.
    - `value` (string) — A single value to filter on.
  - `number` (integer<int32>) — The page number to retrieve - 0 based
  - `query` (string) — The query string to filter the results.
  - `size` (integer<int32>) — the page size to retrieve.
  - `sortOptions` (pagination.SortOptions)
    - `direction` (string) — The direction to sort the results.
    - `field` (string) — Generic here, each type should define its own Enums + Converters
- `nextPageToken` (string)
- `orgId` (string) — The org id that these applications belong to.
- `prevPage` (pagination.Page)
  - `filters` (pagination.Filter[]) — Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)
    - `multi` (pagination.MultiValue)
      - `values` (string[]) — The values of a given filter to filter on.
    - `name` (string) — The name of the filter to apply.
    - `value` (string) — A single value to filter on.
  - `number` (integer<int32>) — The page number to retrieve - 0 based
  - `query` (string) — The query string to filter the results.
  - `size` (integer<int32>) — the page size to retrieve.
  - `sortOptions` (pagination.SortOptions)
    - `direction` (string) — The direction to sort the results.
    - `field` (string) — Generic here, each type should define its own Enums + Converters
- `prevPageToken` (string)
- `totalCount` (integer<int64>) — Total number of applications in the results.

### 401 — Unauthorized

- (no body)
